## ESourceTaskList ESourceTaskList — ESource extension for a calendar |

## Types and Values

#define | E_SOURCE_EXTENSION_CALENDAR
#define | E_SOURCE_EXTENSION_MEMO_LIST
#define | E_SOURCE_EXTENSION_TASK_LIST
struct | ESourceCalendar
struct | ESourceMemoList
struct | ESourceTaskList

## Object Hierarchy

        GObject
        ╰── ESourceExtension
            ╰── ESourceBackend
                ╰── ESourceSelectable
                    ├── ESourceCalendar
                    ├── ESourceMemoList
                    ╰── ESourceTaskList

## Includes

    #include <libedataserver/libedataserver.h>

## Description

The ESourceCalendar extension identifies the ESource as a calendar.

Access the extension as follows:

    1
    2
    3
    4
    5
    #include <libedataserver/libedataserver.h>

    ESourceCalendar *extension;

    extension = e_source_get_extension (source, E_SOURCE_EXTENSION_CALENDAR);

## Functions

## Types and Values

### E_SOURCE_EXTENSION_CALENDAR

    #define E_SOURCE_EXTENSION_CALENDAR  "Calendar"

Pass this extension name to `e_source_get_extension()` to access ESourceCalendar. This is also used as a group name in key files.

Since: 3.6

### E_SOURCE_EXTENSION_MEMO_LIST

    #define E_SOURCE_EXTENSION_MEMO_LIST "Memo List"

Pass this extension name to `e_source_get_extension()` to access ESourceMemoList. This is also used as a group name in key files.

Since: 3.6

### E_SOURCE_EXTENSION_TASK_LIST

    #define E_SOURCE_EXTENSION_TASK_LIST "Task List"

Pass this extension name to `e_source_get_extension()` to access ESourceTaskList. This is also used as a group name in key files.

Since: 3.6

### struct ESourceCalendar

    struct ESourceCalendar;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6

### struct ESourceMemoList

    struct ESourceMemoList;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6

### struct ESourceTaskList

    struct ESourceTaskList;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.6